NSTextInternal::Zone Struct Reference

internal structure used to store zone data More...

## Public Types

typedef std::multimap < NSStruct::Position, DataPLC, NSStruct::Position::Compare > | PLCMap

## Public Member Functions

| Zone ()
| constructor More...

## Public Attributes

MWAWEntry | m_entry
| the position of text in the rsrc file More...
std::vector< Paragraph > | m_paragraphList
| the list of paragraph More...
std::vector< PicturePara > | m_pictureParaList
| the list of paragraph More...
PLCMap | m_plcMap
| the map pos -> format id More...

## Detailed Description

internal structure used to store zone data

## Member Typedef Documentation

typedef std::multimap<NSStruct::Position,DataPLC,NSStruct::Position::Compare> NSTextInternal::Zone::PLCMap

## Constructor & Destructor Documentation

NSTextInternal::Zone::Zone | ( |  | ) |

inline

constructor

## Member Data Documentation

MWAWEntry NSTextInternal::Zone::m_entry

the position of text in the rsrc file

Referenced by NSText::findFilePos().

std::vector<Paragraph> NSTextInternal::Zone::m_paragraphList

the list of paragraph

Referenced by NSText::readParagraphs(), and NSText::sendText().

std::vector<PicturePara> NSTextInternal::Zone::m_pictureParaList

the list of paragraph

Referenced by NSText::readPICD(), and NSText::sendText().

PLCMap NSTextInternal::Zone::m_plcMap

the map pos -> format id

Referenced by NSText::readFootnotes(), NSText::readHeaderFooter(), NSText::readParagraphs(), NSText::readPICD(), NSText::readPosToFont(), and NSText::sendText().

The documentation for this struct was generated from the following file:

- NSText.cxx